/* basic reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Segoe UI", sans-serif;
  background-color: #1e1025;
  color: #fff;
  line-height: 1.6;
}

a {
  color: inherit;
  text-decoration: none;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem 2rem;
  background: #0c0615;
  background-color: transparent;
  position: sticky;
  top: 0;
  z-index: 1000000000000;
  gap: 100px;
  background-color: #1e1025;
}

.socialMedia {
  display: flex;
  gap: 24px;

  height: 24px;
}

.logo {
  font-weight: bold;
  font-size: 1.5rem;
}

.nav-links {
  display: flex;
  gap: 40px;
}

.hamburger {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  height: 20px;
  cursor: pointer;
}

.hamburger .line {
  width: 30px;
  height: 3px;
  background: #fff;
  border-radius: 2px;
  transition: 0.3s;
}

/* menu */
.hamburger.active .line:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.hamburger.active .line:nth-child(2) {
  opacity: 0;
}

.hamburger.active .line:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* Versión móvil */
@media (max-width: 768px) {
  .nav-links {
    position: absolute;
    top: 70px;
    right: 0;
    width: 100%;

    background-color: #1e1025;
    flex-direction: column;
    align-items: center;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out;
  }

  .nav-links a:hover {
    width: 100%;
    text-align: center;
    background-color: #391e46;
  }

  .nav-links.open {
    max-height: 200px;
  }

  .hamburger {
    display: flex;
  }

  .navbar {
    justify-content: flex-end;
  }
}

/* HERO AREA */

.hero {
  background-image: url("./assets/hero-background.png");
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  height: 600px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
  position: relative;
  overflow: hidden;
  margin: -55px;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(
    0,
    0,
    0,
    0.285
  ); /* Oscurece un poco para legibilidad del texto */
  z-index: 1;
}

.hero-content {
  position: relative;
  z-index: 2;
  font-family: "Cinzel Decorative", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 45px;
  width: 100%;
  max-width: 1000px;
}

.hero-content h1 {
  font-size: 65px;
  font-weight: bold;
  line-height: 55px;
  margin-bottom: 20px;
  font-weight: bold;

  background: linear-gradient(to right, #888, #fff, #888);
  background-size: 100%;
  background-repeat: no-repeat;
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
}

.width-hero {
  display: flex;
  width: 1100px;
  height: 610px;
  justify-content: space-between;
  align-items: center;
  margin-bottom: -85px;
}

.cta-button {
  background-color: #ffcc4d;
  color: #000;
  padding: 12px 24px;
  text-decoration: none;
  font-weight: bold;
  border-radius: 8px;
  margin-top: 20px;
  display: inline-block;
  transition: background-color 0.3s ease;
  font-size: 20px;
}

.cta-button:hover {
  background-color: #e6b800;
}

.cta-button {
  background: linear-gradient(90deg, #d8a946, #f9e58c, #d1943e);
  color: #1b0e19;
  font-family: "Cinzel Decorative", serif; /* Usa esta o una similar */
  font-size: 1.1rem;
  font-weight: bold;
  text-transform: uppercase;
  padding: 0.75rem 2rem;
  border: none;
  border-radius: 12px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.cta-button:hover {
  transform: scale(1.05);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.hero-img {
  z-index: 1000;
}
.hero-img img {
}
/* END HERO AREA */

/* TESTIMONIOS AREA */

.testimonios {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 0 auto;
  align-items: center;
}

.servicios-titulo {
  display: flex;
  flex-direction: column;
  height: 73px;

  width: 400px;
  margin: 0 auto;
  margin-top: 56px;
}

#servicios-titulo-h2 {
  font-family: "Cinzel Decorative", serif;

  font-size: 48px;
  font-weight: 700;
  text-align: center;
  background: linear-gradient(
    to right,
    #e7b94b,
    #fceabb,
    #e7b94b
  ); /* Degradado dorado horizontal */
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
  letter-spacing: 0px;
  position: relative;
  display: inline-block;
  padding-bottom: 10px;
  margin-top: -40px;
}

/* TESTIMONIOS AREA */

/* CONSULTAS */

.consultas {
  padding: 40px 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;

  gap: 25px;
  margin-top: 100px;
}

.consulta {
  font-family: "Cinzel Decorative", serif;
  background: linear-gradient(90deg, #e6b453 0%, #f2e89a 50%, #d3982d 100%);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  padding: 18px 25px;
  border-radius: 4px;
  gap: 15px;
  box-sizing: border-box;
  box-shadow: 0 8px 12px rgba(0, 0, 0, 0.4);
  color: #2c1c00;
  width: 100%;
  max-width: 900px;
  height: 80px;
}

.consulta img {
  width: 67px;
  height: 67px;
  object-fit: contain;
}

.consulta p {
  margin: 0;
  font-size: 25px;
  font-weight: 600;
  flex: 1;
}

/* Responsivo */

@media (max-width: 650px) {
  .consulta p {
    margin: 0;
    font-size: 20px;
    font-weight: 600;
    flex: 1;
  }
}

@media (max-width: 530px) {
  .consulta p {
    margin: 0;
    font-size: 16px;
    font-weight: 600;
    flex: 1;
  }
}

@media (max-width: 480px) {
  .servicios-titulo img {
    width: 100%;
    max-width: 350px;
    margin: 0 auto;
  }

  #servicios-titulo-h2 {
    font-size: 40px;
  }
  .consulta {
    flex-direction: column;
    text-align: center;
  }

  .consulta img {
    display: none;
    margin-bottom: 10px;
  }
}

@media (max-width: 400px) {
  .servicios-titulo {
    width: 100%;
  }

  #servicios-titulo-h2 {
    font-size: 35px;
  }

  .servicios-titulo img {
    margin-bottom: 20px;
    width: 100%;
    max-width: 259px;
  }
}

/* CONSULTAS */

/* FOOTER */
footer p {
  color: white;
  margin-top: 150px;
  text-align: center;
  font-size: 24px;
  margin-bottom: 50px;
  font-weight: lighter;
  opacity: 0.7;
}

/* FOOTER */
